ReferenceAdmin
Change a user's platform role or suspend/reactivate them
PATCH
userId*stringFormat
uuidIf-Match*stringThe resource's revision, as returned in ETag (for example "3"). Missing returns 428; stale returns 412.
application/json- body
platformRole?PlatformRoleValue in
"none""platform_admin""platform_auditor"status?UserStatusValue in
"active""suspended"Updated user
application/json- response
data*curl -X PATCH 'https://agents.example.com/v1/admin/users/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'If-Match: string' \ -H 'Content-Type: application/json' \ -d '{}'{ "data": { "revision": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "displayName": "string", "platformRole": "none", "status": "active", "createdAt": "2019-08-24T14:15:22Z", "lastLoginAt": "2019-08-24T14:15:22Z", "teamCount": 0 }}